---
title: msSetMediaProtectionManager
slug: Web/API/MsSetMediaProtectionManager
tags:
  - msSetMediaProtectionManager
---
<div>{{APIRef("HTML DOM")}}</div>

<p>{{Non-standard_header()}}</p>

<p>The <strong><code>msSetMediaProtectionManager</code></strong> method specifies the media protection manager for a given media pipeline.</p>

<p>This proprietary method is specific to Internet Explorer and Microsoft Edge.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">
HTMLMediaElement.msSetMediaProtectionManager(mediaProtectionManager);
</pre>

<h3 id="Parameters">Parameters</h3>

<p>The <a href="https://docs.microsoft.com/en-us/uwp/api/windows.media.protection">Windows.Media.Protection</a> namespace provides classes to manage Digital Rights Management (DRM) media contents. The <code>MediaProtectionManager</code> class can be passed as an input to a media playback API or the <code>mediaProtectionManager</code> property inside the tag's video or audio.</p>

<p>The optional parameter of the <code>msSetMediaProtectionManager</code> property is <code>mediaProtectionManager</code> and can be any type.</p>

<h3 id="Return_value">Return value</h3>

<p>This method does not return a value.</p>
